package main

import (
	"shylinux.com/x/ice"
	_ "shylinux.com/x/icebergs/core/chat/oauth"
	_ "shylinux.com/x/icebergs/misc/alpha"
	_ "shylinux.com/x/icebergs/misc/chrome"
	_ "shylinux.com/x/icebergs/misc/coder"
	_ "shylinux.com/x/icebergs/misc/github"
	_ "shylinux.com/x/icebergs/misc/input"
	_ "shylinux.com/x/icebergs/misc/java"
	_ "shylinux.com/x/icebergs/misc/node"
	"shylinux.com/x/icebergs/misc/webview"
	kit "shylinux.com/x/toolkits"
)

func main() {
	kit.Setenv("PATH", "/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin")
	kit.Chdir(kit.HomePath(ice.CONTEXTS))
	go ice.Run(ice.SERVE, ice.START)
	defer ice.Pulse.Cmd(ice.EXIT)
	ice.Pulse.Sleep("1s")
	webview.Run(nil)
}
